=== debian/rules ===
#!/usr/bin/make -f

# __FILE__ used in logging macros, so -fdebug-prefix-map is not enough,
# to make the build reproducible we need -ffile-prefix-map
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

# CMake is used to build the vendored uamqp library, which ignores CPPFLAGS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
# For the CMake build
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE=1
endif

export PYBUILD_AFTER_CLEAN=rm -rf uamqp.egg-info uamqp/c_uamqp.c uamqp/c_uamqp.pyx

%:
	dh $@ --with python3 --buildsystem=pybuild
