=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/azure-uamqp-python-?(\d\S+)\.tar\.gz/azure-uamqp-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-uamqp-python/tags .*/v-?(\d\S+)\.tar\.gz
