## azure-uamqp-python 1.2.10

=== debian/changelog ===
azure-uamqp-python (1.2.10-1) unstable; urgency=medium

  * Merge tag 'v1.2.10' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Aug 2020 10:22:58 +0100

azure-uamqp-python (1.2.9-1) unstable; urgency=medium

  * Merge tag 'v1.2.9' into debian/sid
  * Remove Testsuite: autopkgtest from d/control

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Jul 2020 00:11:00 +0100

azure-uamqp-python (1.2.8-1) unstable; urgency=medium

  * Merge tag 'v1.2.8' into debian/sid
  * Drop repro.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 May 2020 12:06:36 +0100
