=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Homepage: https://github.com/Azure/azure-uamqp-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-uamqp-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/azure-uamqp-python.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-uamqp
 Architecture: linux-any
