## azure-uamqp-python 1.2.12

=== debian/changelog ===
azure-uamqp-python (1.2.12-1) unstable; urgency=medium

  * Merge tag 'v1.2.12' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Oct 2020 10:22:58 +0100

azure-uamqp-python (1.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v1.2.11' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Oct 2020 15:19:04 +0100
