=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: azure-uamqp-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: cmake,
                cython3,
@@ -17,8 +17,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-uamqp-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-uamqp-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-uamqp-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-uamqp-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-uamqp-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-uamqp
