=== debian/changelog ===
azure-uamqp-python (1.2.13-1) unstable; urgency=medium

  * Merge tag 'v1.2.13' into debian/sid
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Jan 2021 19:32:42 +0000
